/**
 * 路由层面的状态管理中间平台
 * 是联系上层base组件和下层的路由组件的沟通桥梁
 */
import * as React from 'react';
/**
 * 负责Award框架路由整体调度的组件
 *
## 示例
```jsx
<RouterSwitch>
  <Route path="/" component={() => null} redirect="/home" exact />
  <Route path="/user/:id" component={User}>
    <Route path="/user/:id/post/:postId" component={UserPost} exact />
    <Route path="/user/:id/profile" component={UserProfile} exact />
  </Route>
  <Route path="/test" component={Test} />
  <Route path="/about" component={About} exact />
  <Route path="/home" component={Home} exact />
  <Route path="/404" component={() => <h1>404!</h1>} exact />
  <Route redirect="/404" />
</RouterSwitch>
```
 */
export default class RouterSwitch extends React.Component {
    shouldComponentUpdate(): boolean;
    render(): JSX.Element | null;
}
