export interface LocationDescriptorObject<S = any> {
    pathname?: string;
    search?: string;
    state?: S;
    hash?: string;
    key?: string;
}
export interface History {
    push: ((path: string, state?: any) => void) & ((location: LocationDescriptorObject<any>) => void);
    replace: ((path: string, state?: any) => void) & ((location: LocationDescriptorObject<any>) => void);
    go: (n: number) => void;
    goBack: () => void;
    goForward: () => void;
}
/**
 * 自定义history API
 *
 * push、replace、go、goBack、goForward
 */
declare const history: History;
export default history;
